#!/bin/sh
echo 'name: basic-prelude
version: 0.3.5.0
id: basic-prelude-0.3.5.0-ea830bafa78dcbc928a75b3b11338d75

license: MIT
copyright:
maintainer: michael@snoyman.com
stability:
homepage: https://github.com/snoyberg/basic-prelude
package-url:
synopsis: An enhanced core prelude; a common foundation for alternate preludes.
description: The premise of @basic-prelude@ is that there are a lot of very commonly desired features missing from the standard @Prelude@, such as commonly used operators (@\<$\>@ and @>=>@, for instance) and imports for common datatypes (e.g., @ByteString@ and @Vector@). At the same time, there are lots of other components which are more debatable, such as providing polymorphic versions of common functions.
             .
             So @basic-prelude@ is intended to give a common foundation for a number of alternate preludes. The package provides two modules: @CorePrelude@ provides the common ground for other preludes to build on top of, while @BasicPrelude@ exports @CorePrelude@ together with commonly used list functions to provide a drop-in replacement for the standard @Prelude@.
             .
             Users wishing to have an improved @Prelude@ can use @BasicPrelude@. Developers wishing to create a new prelude should use @CorePrelude@.
             .
             Release history:
             .
             [0.3] Moved a number of exports from @BasicPrelude@ to @CorePrelude@ and vice-versa.
             .
             [0.2] Renamed @BasicPrelude@ to @CorePrelude@ and added a new @BasicPrelude@ module provided a full-featured @Prelude@ alternative. Also added a number of new exports.
             .
             [0.1] Initial version, code taken from @classy-prelude@ with a few minor tweaks.
category: Control, Prelude
author: Michael Snoyman, Dan Burton
exposed: True
exposed-modules: BasicPrelude CorePrelude
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/basic-prelude-0.3.5.0
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/basic-prelude-0.3.5.0
              /usr/local/lib
hs-libraries: HSbasic-prelude-0.3.5.0
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: ReadArgs-1.2.1-41e9084b1e76131b9466f8f6750827ab
         base-4.6.0.1-2324e29e8f7c561043683fccde7728aa
         bytestring-0.10.0.2-eecc198ed81abb69aaded5c195068445
         containers-0.5.0.0-3b8b869ec10d44736414ab5bea776319
         hashable-1.1.2.5-93ac9e8f4902e70447854e208345383a
         lifted-base-0.2.0.5-5ed3b97f0b001072c69c352af4420136
         system-filepath-0.4.7-c81e9722325c4677183556bdb473d92d
         text-0.11.3.1-e3fd09aac6fbf908855282746125e0ed
         transformers-0.3.0.0-948c0bbaafc952a144be4248ffa27cb1
         unordered-containers-0.2.3.1-2ea5bcb5e4ac7f1608cee1deab4d4e38
         vector-0.10.0.1-8398066fa66cdbff397fa1d47fe95cbe
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/basic-prelude-0.3.5.0/html/basic-prelude.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/basic-prelude-0.3.5.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
